| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
Digikam::PreviewSettings Class Reference

## Public Types
enum | Quality { FastPreview , FastButLargePreview , HighQualityPreview }
enum | RawLoading { RawPreviewAutomatic , RawPreviewFromEmbeddedPreview , RawPreviewFromRawHalfSize , RawPreviewFromRawFullSize }

## Public Member Functions
| PreviewSettings (Quality quality=HighQualityPreview, RawLoading rawLoading=RawPreviewAutomatic)
bool | operator== (const PreviewSettings &other) const

## Static Public Member Functions
static PreviewSettings | fastPreview ()
static PreviewSettings | highQualityPreview ()

## Public Attributes
bool | convertToEightBit = false
Quality | quality
RawLoading | rawLoading

## Member Enumeration Documentation

## ◆ Quality

enum Digikam::PreviewSettings::Quality

Enumerator
FastPreview | A preview were loading time is most important. Preview can be reduced in size. Additionally specifying the size of the preview area may be appropriate
FastButLargePreview | Load a preview that is as large as possible without sacrificing speed for performance. Especially, raw previews are taken if larger than the given size. Raw decoding and color management settings will be adjusted.
HighQualityPreview | Load a high quality additional image. For normal images, loads the full data. For RAW, the additional settings below are taken into account